# -*- coding: utf-8 -*-

from admin_tools.dashboard import modules
from django.utils.translation import ugettext_lazy as _


class DefaultDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("project"),
            'display': "tabs",
            'children': [Models()]
        })
        super().__init__(**kwargs)


class MainDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("project"),
            'display': "tabs",
            'children': [Models()]
        })
        super().__init__(**kwargs)


class Models(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("main models"),
            'models': (
                'thx.project.models.ProjectType',
                'thx.project.models.Project',
                'thx.project.models.ProjectNumber',
            ),
        })
        super().__init__(**kwargs)
